Package org.eclipse.m2m.atl.dsls.core

# Class EMFTCSInjector.EMFInjectorAdapter

java.lang.Object
org.eclipse.m2m.atl.dsls.core.EMFTCSInjector.EMFInjectorAdapter

All Implemented Interfaces:
  `ModelAdapter`

Enclosing class:
  EMFTCSInjector

public class EMFTCSInjector.EMFInjectorAdapter extends Object implements ModelAdapter
Adapts an `EMFModel`. Uses EMFTVM models internally, because they are more efficient for extent lookup during in-place transformation (i.e. parsing).

## Constructor Summary

Constructors
Constructor
Description
`EMFInjectorAdapter(Object model)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`createElement(String typeName)`
`Object`
`createEnumLiteral(String name)`
`Object`
`get(Object modelElement, String name)`
`Set`
`getElementsByType(String typeName)`
`Object`
`getModel()`
`String`
`getString(Object ame, String propName)`
`Object`
`getType(Object value)`
`boolean`
`isAModelElement(Object me)`
`boolean`
`isCandidate(Object ame, String typeName)`
`void`
`set(Object modelElement, String name, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFInjectorAdapter

public EMFInjectorAdapter(Object model)

## Method Details

### getModel

public Object getModel()

Specified by:
  `getModel` in interface `ModelAdapter`

### get

public Object get(Object modelElement, String name)

Specified by:
  `get` in interface `ModelAdapter`

### createElement

public Object createElement(String typeName)

Specified by:
  `createElement` in interface `ModelAdapter`

### getElementsByType

public Set getElementsByType(String typeName)

Specified by:
  `getElementsByType` in interface `ModelAdapter`

### set

public void set(Object modelElement, String name, Object value)

Specified by:
  `set` in interface `ModelAdapter`

### isCandidate

public boolean isCandidate(Object ame, String typeName)

Specified by:
  `isCandidate` in interface `ModelAdapter`

### getType

public Object getType(Object value)

Specified by:
  `getType` in interface `ModelAdapter`

### isAModelElement

public boolean isAModelElement(Object me)

Specified by:
  `isAModelElement` in interface `ModelAdapter`

### getString

public String getString(Object ame, String propName)

Specified by:
  `getString` in interface `ModelAdapter`

### createEnumLiteral

public Object createEnumLiteral(String name)

Specified by:
  `createEnumLiteral` in interface `ModelAdapter`